Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.filters
Class Flip

    java.lang.Object
      |
      +--java.awt.image.ImageFilter
            |
            +--com.sun.jimi.core.filters.ImageFilterPlus
                  |
                  +--com.sun.jimi.core.filters.Flip

public class Flip
extends ImageFilterPlus

Field Summary
`static int` | `FLIP_CCW`
`static int` | `FLIP_CW`
`static int` | `FLIP_LR`
`static int` | `FLIP_NULL`
`static int` | `FLIP_R180`
`static int` | `FLIP_TB`
`static int` | `FLIP_XY`

Fields inherited from class com.sun.jimi.core.filters.ImageFilterPlus
`rgbModel`

Fields inherited from class java.awt.image.ImageFilter
`consumer`

Constructor Summary
`Flip(java.awt.image.ImageProducer producer, int flipType)`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `setDimensions(int width, int height)`
`void` | `setHints(int hints)`
`void` | `setPixels(int x, int y, int w, int h, java.awt.image.ColorModel model, byte[] pixels, int off, int scansize)`
`void` | `setPixels(int x, int y, int w, int h, java.awt.image.ColorModel model, int[] pixels, int off, int scansize)`

Methods inherited from class com.sun.jimi.core.filters.ImageFilterPlus
`filterStream, getSource, imageComplete, setSource`

Methods inherited from class java.awt.image.ImageFilter
`clone, getFilterInstance, resendTopDownLeftRight, setColorModel, setProperties`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FLIP_NULL

    public static final int FLIP_NULL

### FLIP_LR

    public static final int FLIP_LR

### FLIP_TB

    public static final int FLIP_TB

### FLIP_XY

    public static final int FLIP_XY

### FLIP_CW

    public static final int FLIP_CW

### FLIP_CCW

    public static final int FLIP_CCW

### FLIP_R180

    public static final int FLIP_R180

Constructor Detail

### Flip

    public Flip(java.awt.image.ImageProducer producer,
                int flipType)

Method Detail

### setHints

    public void setHints(int hints)

  Overrides:
    setHints in class ImageFilterPlus

### setDimensions

    public void setDimensions(int width,
                              int height)

  Overrides:
    setDimensions in class java.awt.image.ImageFilter

### setPixels

    public void setPixels(int x,
                          int y,
                          int w,
                          int h,
                          java.awt.image.ColorModel model,
                          byte[] pixels,
                          int off,
                          int scansize)

  Overrides:
    setPixels in class java.awt.image.ImageFilter

### setPixels

    public void setPixels(int x,
                          int y,
                          int w,
                          int h,
                          java.awt.image.ColorModel model,
                          int[] pixels,
                          int off,
                          int scansize)

  Overrides:
    setPixels in class java.awt.image.ImageFilter

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD